Bug 1307011 - kvm manager crashes with: python 2.7 killed by SIGBUS
kvm manager crashes with: python 2.7 killed by SIGBUS
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pygobject2 (Show other bugs)
7.2
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 07:49 EST by Mauro Mozzarelli
Modified: 2017-02-04 00:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauro Mozzarelli 2016-02-12 07:49:29 EST
Description of problem:
Just moving kvm-manager window or any kvm VM window on the the desktop causes the tool to crash with error: python 2.7 killed by SIGBUS

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-105.el7_2.3.x86_64

How reproducible:
Launch kvm-manager and move the window

Steps to Reproduce:
1. start kvm-manager
2. move the window on the screen
3.

Actual results:
kvm-manager crashes as above

Expected results:


Additional info:
See related CentOS bug: https://bugs.centos.org/view.php?id=8525
Comment 2 Pavel Hrdina 2016-03-18 04:42:50 EDT
Hi, moving to python component because virt-manager itself cannot crash with SIGBUS.  I'm not sure whether it's python issue or some of the others libraries like gtk+ or glib.
Comment 3 Petr Viktorin 2016-03-18 05:31:35 EDT
Hello,
Can you get a core dump (or better, an ABRT report) from the crash?
Comment 4 Mauro Mozzarelli 2016-03-18 05:37:37 EDT
Please see related bug:
https://bugs.centos.org/view.php?id=8525

Plenty of reports. My bug manager also posted automatically several core dumps.
Comment 5 Petr Viktorin 2016-03-18 06:49:00 EDT
According to the backtrace [0], the crash happens deep in a glib/GTK/GDK call, in a pygi_closure, so I think the pygobject experts have more luck debugging this.

If it turns out to be a Python bug or any Python-specific knowledge is needed, let me know.

[0] https://retrace.fedoraproject.org/faf/reports/617649/

Note You need to log in before you can comment on or make changes to this bug.